POST /v1/slack/events
Service: comms · operationId: (none)
Required scopes
(no scope declared — review service config)
Request body
{
"type": "object",
"properties": {
"type": {
"type": "string"
},
"challenge": {
"type": "string"
},
"token": {
"type": "string"
},
"event": {
"type": "object",
"properties": {
"type": {
"type": "string"
},
"channel": {
"type": "string"
},
"user": {
"type": "string"
},
"text": {
"type": "string"
},
"thread_ts": {
"type": "string"
},
"ts": {
"type": "string"
}
},
"required": [
"type"
]
}
},
"required": [
"type"
]
}Responses
200 Event processed or challenge response
{
"anyOf": [
{
"type": "object",
"properties": {
"challenge": {
"type": "string"
}
},
"required": [
"challenge"
]
},
{
"type": "object",
"properties": {
"ok": {
"type": "boolean"
}
},
"required": [
"ok"
]
}
]
}401 Signature verification failed
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}Example
curl -X POST https://comms.platform.loop.health/v1/slack/events \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{ ... }'Related
services/comms— service overview- All endpoints — directory across services
- Auth model — how scopes are enforced